HDF: java/src/jni/hdfvfImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfvfImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VFfieldesize (JNIEnv *env, jclass clss, jlong vdata_id, int field_index)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VFfieldisize (JNIEnv *env, jclass clss, jlong vdata_id, int field_index)
JNIEXPORT jstring JNICALL | Java_hdf_hdflib_HDFLibrary_VFfieldname (JNIEnv *env, jclass clss, jlong vdata_id, int field_index)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VFfieldorder (JNIEnv *env, jclass clss, jlong vdata_id, int field_index)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_VFfieldtype (JNIEnv *env, jclass clss, jlong vdata_id, int field_index)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VFnfields (JNIEnv *env, jclass clss, jlong key)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_VFfieldesize()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VFfieldesize | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | int | field_index )

## ◆ Java_hdf_hdflib_HDFLibrary_VFfieldisize()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VFfieldisize | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | int | field_index )

## ◆ Java_hdf_hdflib_HDFLibrary_VFfieldname()

JNIEXPORT jstring JNICALL Java_hdf_hdflib_HDFLibrary_VFfieldname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | int | field_index )

## ◆ Java_hdf_hdflib_HDFLibrary_VFfieldorder()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VFfieldorder | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | int | field_index )

## ◆ Java_hdf_hdflib_HDFLibrary_VFfieldtype()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_VFfieldtype | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | int | field_index )

## ◆ Java_hdf_hdflib_HDFLibrary_VFnfields()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VFnfields | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | key )